<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.AimPlaceInfoMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.AimPlaceInfo">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="type" property="type" jdbcType="VARCHAR"/>
        <result column="owned_land_mark_id" property="ownedLandMarkId" jdbcType="VARCHAR"/>
        <result column="ar_content_group_id" property="arContentGroupId" jdbcType="VARCHAR"/>
        <result column="ar_kit_pos_x" property="arKitPosX" jdbcType="VARCHAR"/>
        <result column="ar_kit_pos_y" property="arKitPosY" jdbcType="VARCHAR"/>
        <result column="ar_kit_pos_z" property="arKitPosZ" jdbcType="VARCHAR"/>
        <result column="ar_kit_scale" property="arKitScale" jdbcType="VARCHAR"/>
        <result column="ar_kit_angle" property="arKitAngle" jdbcType="VARCHAR"/>
        <result column="ar_kit_show_lenth" property="arKitShowLenth" jdbcType="VARCHAR"/>
        <result column="gyro_pos_x" property="gyroPosX" jdbcType="VARCHAR"/>
        <result column="gyro_pos_y" property="gyroPosY" jdbcType="VARCHAR"/>
        <result column="gyro_pos_z" property="gyroPosZ" jdbcType="VARCHAR"/>
        <result column="gyro_pos_scale" property="gyroPosScale" jdbcType="VARCHAR"/>
        <result column="gyro_pos_angle" property="gyroPosAngle" jdbcType="VARCHAR"/>
        <result column="gyro_pos_show_lenth" property="gyroPosShowLenth" jdbcType="VARCHAR"/>
        <result column="vuforia_image_info_area_marking" property="vuforiaImageInfoAreaMarking" jdbcType="VARCHAR"/>
        <result column="remark1" property="remark1" jdbcType="VARCHAR"/>
        <result column="remark2" property="remark2" jdbcType="VARCHAR"/>
        <result column="remark3" property="remark3" jdbcType="VARCHAR"/>
        <result column="remark4" property="remark4" jdbcType="VARCHAR"/>
        <result column="remark5" property="remark5" jdbcType="VARCHAR"/>
        <result column="remark6" property="remark6" jdbcType="VARCHAR"/>
        <result column="map_index" property="mapIndex" jdbcType="INTEGER"/>
        <result column="pos_x" property="posX" jdbcType="VARCHAR"/>
        <result column="pos_y" property="posY" jdbcType="VARCHAR"/>
        <result column="pos_z" property="posZ" jdbcType="VARCHAR"/>
        <result column="remark7" property="remark7" jdbcType="VARCHAR"/>
        <result column="remark8" property="remark8" jdbcType="VARCHAR"/>
        <result column="remark9" property="remark9" jdbcType="VARCHAR"/>
        <result column="front_level_id" property="frontLevelId" jdbcType="VARCHAR"/>
        <result column="icon" property="icon" jdbcType="VARCHAR"/>
        <result column="icon_rank" property="iconRank" jdbcType="INTEGER"/>
        <result column="alone_flag" property="aloneFlag" jdbcType="VARCHAR"/>
        <result column="auto_play" property="autoPlay" jdbcType="VARCHAR"/>
        <result column="auto_display" property="autoDisplay" jdbcType="VARCHAR"/>
        <result column="show_level" property="showLevel" jdbcType="VARCHAR"/>
        <result column="template_id" property="templateId" jdbcType="VARCHAR"/>
        <result column="power" property="power" jdbcType="VARCHAR"/>
        <result column="area_id" property="areaId" jdbcType="VARCHAR"/>
        <result column="thing_id" property="thingId" jdbcType="VARCHAR"/>
        <result column="aim_group_id" property="aimGroupId" jdbcType="VARCHAR"/>
        <result column="template_aim_id" property="templateAimId" jdbcType="VARCHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            name,

            type,

            owned_land_mark_id,

            ar_content_group_id,

            ar_kit_pos_x,

            ar_kit_pos_y,

            ar_kit_pos_z,

            ar_kit_scale,

            ar_kit_angle,

            ar_kit_show_lenth,

            gyro_pos_x,

            gyro_pos_y,

            gyro_pos_z,

            gyro_pos_scale,

            gyro_pos_angle,

            gyro_pos_show_lenth,

            vuforia_image_info_area_marking,

            remark1,

            remark2,

            remark3,

            remark4,

            remark5,

            remark6,

            map_index,

            pos_x,

            pos_y,

            pos_z,

            remark7,

            remark8,

            remark9,

            front_level_id,

            icon,

            icon_rank,

            alone_flag,

            auto_play,

            auto_display,

            show_level,

            template_id,

            power,

            area_id,

            thing_id,

            aim_group_id,

            template_aim_id,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from aim_place_info
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.AimPlaceInfo" useGeneratedKeys="true"
            keyProperty="id">
        insert into aim_place_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="name!= null">
                name,
            </if>
            <if test="type!= null">
                type,
            </if>
            <if test="ownedLandMarkId!= null">
                owned_land_mark_id,
            </if>
            <if test="arContentGroupId!= null">
                ar_content_group_id,
            </if>
            <if test="arKitPosX!= null">
                ar_kit_pos_x,
            </if>
            <if test="arKitPosY!= null">
                ar_kit_pos_y,
            </if>
            <if test="arKitPosZ!= null">
                ar_kit_pos_z,
            </if>
            <if test="arKitScale!= null">
                ar_kit_scale,
            </if>
            <if test="arKitAngle!= null">
                ar_kit_angle,
            </if>
            <if test="arKitShowLenth!= null">
                ar_kit_show_lenth,
            </if>
            <if test="gyroPosX!= null">
                gyro_pos_x,
            </if>
            <if test="gyroPosY!= null">
                gyro_pos_y,
            </if>
            <if test="gyroPosZ!= null">
                gyro_pos_z,
            </if>
            <if test="gyroPosScale!= null">
                gyro_pos_scale,
            </if>
            <if test="gyroPosAngle!= null">
                gyro_pos_angle,
            </if>
            <if test="gyroPosShowLenth!= null">
                gyro_pos_show_lenth,
            </if>
            <if test="vuforiaImageInfoAreaMarking!= null">
                vuforia_image_info_area_marking,
            </if>
            <if test="remark1!= null">
                remark1,
            </if>
            <if test="remark2!= null">
                remark2,
            </if>
            <if test="remark3!= null">
                remark3,
            </if>
            <if test="remark4!= null">
                remark4,
            </if>
            <if test="remark5!= null">
                remark5,
            </if>
            <if test="remark6!= null">
                remark6,
            </if>
            <if test="mapIndex!= null">
                map_index,
            </if>
            <if test="posX!= null">
                pos_x,
            </if>
            <if test="posY!= null">
                pos_y,
            </if>
            <if test="posZ!= null">
                pos_z,
            </if>
            <if test="remark7!= null">
                remark7,
            </if>
            <if test="remark8!= null">
                remark8,
            </if>
            <if test="remark9!= null">
                remark9,
            </if>
            <if test="frontLevelId!= null">
                front_level_id,
            </if>
            <if test="icon!= null">
                icon,
            </if>
            <if test="iconRank!= null">
                icon_rank,
            </if>
            <if test="aloneFlag!= null">
                alone_flag,
            </if>
            <if test="autoPlay!= null">
                auto_play,
            </if>
            <if test="autoDisplay!= null">
                auto_display,
            </if>
            <if test="showLevel!= null">
                show_level,
            </if>
            <if test="templateId!= null">
                template_id,
            </if>
            <if test="power!= null">
                power,
            </if>
            <if test="areaId!= null">
                area_id,
            </if>
            <if test="thingId!= null">
                thing_id,
            </if>
            <if test="aimGroupId!= null">
                aim_group_id,
            </if>
            <if test="templateAimId!= null">
                template_aim_id,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                #{type,jdbcType=VARCHAR},
            </if>
            <if test="ownedLandMarkId != null">
                #{ownedLandMarkId,jdbcType=VARCHAR},
            </if>
            <if test="arContentGroupId != null">
                #{arContentGroupId,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosX != null">
                #{arKitPosX,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosY != null">
                #{arKitPosY,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosZ != null">
                #{arKitPosZ,jdbcType=VARCHAR},
            </if>
            <if test="arKitScale != null">
                #{arKitScale,jdbcType=VARCHAR},
            </if>
            <if test="arKitAngle != null">
                #{arKitAngle,jdbcType=VARCHAR},
            </if>
            <if test="arKitShowLenth != null">
                #{arKitShowLenth,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosX != null">
                #{gyroPosX,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosY != null">
                #{gyroPosY,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosZ != null">
                #{gyroPosZ,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosScale != null">
                #{gyroPosScale,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosAngle != null">
                #{gyroPosAngle,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosShowLenth != null">
                #{gyroPosShowLenth,jdbcType=VARCHAR},
            </if>
            <if test="vuforiaImageInfoAreaMarking != null">
                #{vuforiaImageInfoAreaMarking,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="remark4 != null">
                #{remark4,jdbcType=VARCHAR},
            </if>
            <if test="remark5 != null">
                #{remark5,jdbcType=VARCHAR},
            </if>
            <if test="remark6 != null">
                #{remark6,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                #{mapIndex,jdbcType=INTEGER},
            </if>
            <if test="posX != null">
                #{posX,jdbcType=VARCHAR},
            </if>
            <if test="posY != null">
                #{posY,jdbcType=VARCHAR},
            </if>
            <if test="posZ != null">
                #{posZ,jdbcType=VARCHAR},
            </if>
            <if test="remark7 != null">
                #{remark7,jdbcType=VARCHAR},
            </if>
            <if test="remark8 != null">
                #{remark8,jdbcType=VARCHAR},
            </if>
            <if test="remark9 != null">
                #{remark9,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                #{icon,jdbcType=VARCHAR},
            </if>
            <if test="iconRank != null">
                #{iconRank,jdbcType=INTEGER},
            </if>
            <if test="aloneFlag != null">
                #{aloneFlag,jdbcType=VARCHAR},
            </if>
            <if test="autoPlay != null">
                #{autoPlay,jdbcType=VARCHAR},
            </if>
            <if test="autoDisplay != null">
                #{autoDisplay,jdbcType=VARCHAR},
            </if>
            <if test="showLevel != null">
                #{showLevel,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                #{power,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="aimGroupId != null">
                #{aimGroupId,jdbcType=VARCHAR},
            </if>
            <if test="templateAimId != null">
                #{templateAimId,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.AimPlaceInfo">
        update aim_place_info
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                name= #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                type= #{type,jdbcType=VARCHAR},
            </if>
            <if test="ownedLandMarkId != null">
                owned_land_mark_id= #{ownedLandMarkId,jdbcType=VARCHAR},
            </if>
            <if test="arContentGroupId != null">
                ar_content_group_id= #{arContentGroupId,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosX != null">
                ar_kit_pos_x= #{arKitPosX,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosY != null">
                ar_kit_pos_y= #{arKitPosY,jdbcType=VARCHAR},
            </if>
            <if test="arKitPosZ != null">
                ar_kit_pos_z= #{arKitPosZ,jdbcType=VARCHAR},
            </if>
            <if test="arKitScale != null">
                ar_kit_scale= #{arKitScale,jdbcType=VARCHAR},
            </if>
            <if test="arKitAngle != null">
                ar_kit_angle= #{arKitAngle,jdbcType=VARCHAR},
            </if>
            <if test="arKitShowLenth != null">
                ar_kit_show_lenth= #{arKitShowLenth,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosX != null">
                gyro_pos_x= #{gyroPosX,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosY != null">
                gyro_pos_y= #{gyroPosY,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosZ != null">
                gyro_pos_z= #{gyroPosZ,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosScale != null">
                gyro_pos_scale= #{gyroPosScale,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosAngle != null">
                gyro_pos_angle= #{gyroPosAngle,jdbcType=VARCHAR},
            </if>
            <if test="gyroPosShowLenth != null">
                gyro_pos_show_lenth= #{gyroPosShowLenth,jdbcType=VARCHAR},
            </if>
            <if test="vuforiaImageInfoAreaMarking != null">
                vuforia_image_info_area_marking= #{vuforiaImageInfoAreaMarking,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                remark1= #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                remark2= #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                remark3= #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="remark4 != null">
                remark4= #{remark4,jdbcType=VARCHAR},
            </if>
            <if test="remark5 != null">
                remark5= #{remark5,jdbcType=VARCHAR},
            </if>
            <if test="remark6 != null">
                remark6= #{remark6,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                map_index= #{mapIndex,jdbcType=INTEGER},
            </if>
            <if test="posX != null">
                pos_x= #{posX,jdbcType=VARCHAR},
            </if>
            <if test="posY != null">
                pos_y= #{posY,jdbcType=VARCHAR},
            </if>
            <if test="posZ != null">
                pos_z= #{posZ,jdbcType=VARCHAR},
            </if>
            <if test="remark7 != null">
                remark7= #{remark7,jdbcType=VARCHAR},
            </if>
            <if test="remark8 != null">
                remark8= #{remark8,jdbcType=VARCHAR},
            </if>
            <if test="remark9 != null">
                remark9= #{remark9,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                front_level_id= #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                icon= #{icon,jdbcType=VARCHAR},
            </if>
            <if test="iconRank != null">
                icon_rank= #{iconRank,jdbcType=INTEGER},
            </if>
            <if test="aloneFlag != null">
                alone_flag= #{aloneFlag,jdbcType=VARCHAR},
            </if>
            <if test="autoPlay != null">
                auto_play= #{autoPlay,jdbcType=VARCHAR},
            </if>
            <if test="autoDisplay != null">
                auto_display= #{autoDisplay,jdbcType=VARCHAR},
            </if>
            <if test="showLevel != null">
                show_level= #{showLevel,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                template_id= #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                power= #{power,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                area_id= #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                thing_id= #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="aimGroupId != null">
                aim_group_id= #{aimGroupId,jdbcType=VARCHAR},
            </if>
            <if test="templateAimId != null">
                template_aim_id= #{templateAimId,jdbcType=VARCHAR},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryAimPlaceInfoByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlaceInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.name != null and !&quot;&quot;.equals(record.name)">
                and name = #{record.name}
            </if>
            <if test="record.type != null and !&quot;&quot;.equals(record.type)">
                and type = #{record.type}
            </if>
            <if test="record.ownedLandMarkId != null and !&quot;&quot;.equals(record.ownedLandMarkId)">
                and owned_land_mark_id = #{record.ownedLandMarkId}
            </if>
            <if test="record.arContentGroupId != null and !&quot;&quot;.equals(record.arContentGroupId)">
                and ar_content_group_id = #{record.arContentGroupId}
            </if>
            <if test="record.arKitPosX != null and !&quot;&quot;.equals(record.arKitPosX)">
                and ar_kit_pos_x = #{record.arKitPosX}
            </if>
            <if test="record.arKitPosY != null and !&quot;&quot;.equals(record.arKitPosY)">
                and ar_kit_pos_y = #{record.arKitPosY}
            </if>
            <if test="record.arKitPosZ != null and !&quot;&quot;.equals(record.arKitPosZ)">
                and ar_kit_pos_z = #{record.arKitPosZ}
            </if>
            <if test="record.arKitScale != null and !&quot;&quot;.equals(record.arKitScale)">
                and ar_kit_scale = #{record.arKitScale}
            </if>
            <if test="record.arKitAngle != null and !&quot;&quot;.equals(record.arKitAngle)">
                and ar_kit_angle = #{record.arKitAngle}
            </if>
            <if test="record.arKitShowLenth != null and !&quot;&quot;.equals(record.arKitShowLenth)">
                and ar_kit_show_lenth = #{record.arKitShowLenth}
            </if>
            <if test="record.gyroPosX != null and !&quot;&quot;.equals(record.gyroPosX)">
                and gyro_pos_x = #{record.gyroPosX}
            </if>
            <if test="record.gyroPosY != null and !&quot;&quot;.equals(record.gyroPosY)">
                and gyro_pos_y = #{record.gyroPosY}
            </if>
            <if test="record.gyroPosZ != null and !&quot;&quot;.equals(record.gyroPosZ)">
                and gyro_pos_z = #{record.gyroPosZ}
            </if>
            <if test="record.gyroPosScale != null and !&quot;&quot;.equals(record.gyroPosScale)">
                and gyro_pos_scale = #{record.gyroPosScale}
            </if>
            <if test="record.gyroPosAngle != null and !&quot;&quot;.equals(record.gyroPosAngle)">
                and gyro_pos_angle = #{record.gyroPosAngle}
            </if>
            <if test="record.gyroPosShowLenth != null and !&quot;&quot;.equals(record.gyroPosShowLenth)">
                and gyro_pos_show_lenth = #{record.gyroPosShowLenth}
            </if>
            <if test="record.vuforiaImageInfoAreaMarking != null and !&quot;&quot;.equals(record.vuforiaImageInfoAreaMarking)">
                and vuforia_image_info_area_marking = #{record.vuforiaImageInfoAreaMarking}
            </if>
            <if test="record.remark1 != null and !&quot;&quot;.equals(record.remark1)">
                and remark1 = #{record.remark1}
            </if>
            <if test="record.remark2 != null and !&quot;&quot;.equals(record.remark2)">
                and remark2 = #{record.remark2}
            </if>
            <if test="record.remark3 != null and !&quot;&quot;.equals(record.remark3)">
                and remark3 = #{record.remark3}
            </if>
            <if test="record.remark4 != null and !&quot;&quot;.equals(record.remark4)">
                and remark4 = #{record.remark4}
            </if>
            <if test="record.remark5 != null and !&quot;&quot;.equals(record.remark5)">
                and remark5 = #{record.remark5}
            </if>
            <if test="record.remark6 != null and !&quot;&quot;.equals(record.remark6)">
                and remark6 = #{record.remark6}
            </if>
            <if test="record.mapIndex != null and !&quot;&quot;.equals(record.mapIndex)">
                and map_index = #{record.mapIndex}
            </if>
            <if test="record.posX != null and !&quot;&quot;.equals(record.posX)">
                and pos_x = #{record.posX}
            </if>
            <if test="record.posY != null and !&quot;&quot;.equals(record.posY)">
                and pos_y = #{record.posY}
            </if>
            <if test="record.posZ != null and !&quot;&quot;.equals(record.posZ)">
                and pos_z = #{record.posZ}
            </if>
            <if test="record.remark7 != null and !&quot;&quot;.equals(record.remark7)">
                and remark7 = #{record.remark7}
            </if>
            <if test="record.remark8 != null and !&quot;&quot;.equals(record.remark8)">
                and remark8 = #{record.remark8}
            </if>
            <if test="record.remark9 != null and !&quot;&quot;.equals(record.remark9)">
                and remark9 = #{record.remark9}
            </if>
            <if test="record.frontLevelId != null and !&quot;&quot;.equals(record.frontLevelId)">
                and front_level_id = #{record.frontLevelId}
            </if>
            <if test="record.icon != null and !&quot;&quot;.equals(record.icon)">
                and icon = #{record.icon}
            </if>
            <if test="record.iconRank != null and !&quot;&quot;.equals(record.iconRank)">
                and icon_rank = #{record.iconRank}
            </if>
            <if test="record.aloneFlag != null and !&quot;&quot;.equals(record.aloneFlag)">
                and alone_flag = #{record.aloneFlag}
            </if>
            <if test="record.autoPlay != null and !&quot;&quot;.equals(record.autoPlay)">
                and auto_play = #{record.autoPlay}
            </if>
            <if test="record.autoDisplay != null and !&quot;&quot;.equals(record.autoDisplay)">
                and auto_display = #{record.autoDisplay}
            </if>
            <if test="record.showLevel != null and !&quot;&quot;.equals(record.showLevel)">
                and show_level = #{record.showLevel}
            </if>
            <if test="record.templateId != null and !&quot;&quot;.equals(record.templateId)">
                and template_id = #{record.templateId}
            </if>
            <if test="record.power != null and !&quot;&quot;.equals(record.power)">
                and power = #{record.power}
            </if>
            <if test="record.areaId != null and !&quot;&quot;.equals(record.areaId)">
                and area_id = #{record.areaId}
            </if>
            <if test="record.thingId != null and !&quot;&quot;.equals(record.thingId)">
                and thing_id = #{record.thingId}
            </if>
            <if test="record.aimGroupId != null and !&quot;&quot;.equals(record.aimGroupId)">
                and aim_group_id = #{record.aimGroupId}
            </if>
            <if test="record.templateAimId != null and !&quot;&quot;.equals(record.templateAimId)">
                and template_aim_id = #{record.templateAimId}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{record.searchKey},'%')
                    OR type LIKE concat('%',#{record.searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{record.searchKey},'%')
                    OR ar_content_group_id LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_pos_x LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_pos_y LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_pos_z LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_scale LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_angle LIKE concat('%',#{record.searchKey},'%')
                    OR ar_kit_show_lenth LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_x LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_y LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_z LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_scale LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_angle LIKE concat('%',#{record.searchKey},'%')
                    OR gyro_pos_show_lenth LIKE concat('%',#{record.searchKey},'%')
                    OR vuforia_image_info_area_marking LIKE concat('%',#{record.searchKey},'%')
                    OR remark1 LIKE concat('%',#{record.searchKey},'%')
                    OR remark2 LIKE concat('%',#{record.searchKey},'%')
                    OR remark3 LIKE concat('%',#{record.searchKey},'%')
                    OR remark4 LIKE concat('%',#{record.searchKey},'%')
                    OR remark5 LIKE concat('%',#{record.searchKey},'%')
                    OR remark6 LIKE concat('%',#{record.searchKey},'%')
                    OR pos_x LIKE concat('%',#{record.searchKey},'%')
                    OR pos_y LIKE concat('%',#{record.searchKey},'%')
                    OR pos_z LIKE concat('%',#{record.searchKey},'%')
                    OR remark7 LIKE concat('%',#{record.searchKey},'%')
                    OR remark8 LIKE concat('%',#{record.searchKey},'%')
                    OR remark9 LIKE concat('%',#{record.searchKey},'%')
                    OR front_level_id LIKE concat('%',#{record.searchKey},'%')
                    OR icon LIKE concat('%',#{record.searchKey},'%')
                    OR alone_flag LIKE concat('%',#{record.searchKey},'%')
                    OR auto_play LIKE concat('%',#{record.searchKey},'%')
                    OR auto_display LIKE concat('%',#{record.searchKey},'%')
                    OR show_level LIKE concat('%',#{record.searchKey},'%')
                    OR template_id LIKE concat('%',#{record.searchKey},'%')
                    OR area_id LIKE concat('%',#{record.searchKey},'%')
                    OR thing_id LIKE concat('%',#{record.searchKey},'%')
                    OR aim_group_id LIKE concat('%',#{record.searchKey},'%')
                    OR template_aim_id LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllAimPlaceInfo" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlaceInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="arContentGroupId != null and !&quot;&quot;.equals(arContentGroupId)">
                and ar_content_group_id = #{arContentGroupId}
            </if>
            <if test="arKitPosX != null and !&quot;&quot;.equals(arKitPosX)">
                and ar_kit_pos_x = #{arKitPosX}
            </if>
            <if test="arKitPosY != null and !&quot;&quot;.equals(arKitPosY)">
                and ar_kit_pos_y = #{arKitPosY}
            </if>
            <if test="arKitPosZ != null and !&quot;&quot;.equals(arKitPosZ)">
                and ar_kit_pos_z = #{arKitPosZ}
            </if>
            <if test="arKitScale != null and !&quot;&quot;.equals(arKitScale)">
                and ar_kit_scale = #{arKitScale}
            </if>
            <if test="arKitAngle != null and !&quot;&quot;.equals(arKitAngle)">
                and ar_kit_angle = #{arKitAngle}
            </if>
            <if test="arKitShowLenth != null and !&quot;&quot;.equals(arKitShowLenth)">
                and ar_kit_show_lenth = #{arKitShowLenth}
            </if>
            <if test="gyroPosX != null and !&quot;&quot;.equals(gyroPosX)">
                and gyro_pos_x = #{gyroPosX}
            </if>
            <if test="gyroPosY != null and !&quot;&quot;.equals(gyroPosY)">
                and gyro_pos_y = #{gyroPosY}
            </if>
            <if test="gyroPosZ != null and !&quot;&quot;.equals(gyroPosZ)">
                and gyro_pos_z = #{gyroPosZ}
            </if>
            <if test="gyroPosScale != null and !&quot;&quot;.equals(gyroPosScale)">
                and gyro_pos_scale = #{gyroPosScale}
            </if>
            <if test="gyroPosAngle != null and !&quot;&quot;.equals(gyroPosAngle)">
                and gyro_pos_angle = #{gyroPosAngle}
            </if>
            <if test="gyroPosShowLenth != null and !&quot;&quot;.equals(gyroPosShowLenth)">
                and gyro_pos_show_lenth = #{gyroPosShowLenth}
            </if>
            <if test="vuforiaImageInfoAreaMarking != null and !&quot;&quot;.equals(vuforiaImageInfoAreaMarking)">
                and vuforia_image_info_area_marking = #{vuforiaImageInfoAreaMarking}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
            <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
            <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark7 != null and !&quot;&quot;.equals(remark7)">
                and remark7 = #{remark7}
            </if>
            <if test="remark8 != null and !&quot;&quot;.equals(remark8)">
                and remark8 = #{remark8}
            </if>
            <if test="remark9 != null and !&quot;&quot;.equals(remark9)">
                and remark9 = #{remark9}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="aimGroupId != null and !&quot;&quot;.equals(aimGroupId)">
                and aim_group_id = #{aimGroupId}
            </if>
            <if test="templateAimId != null and !&quot;&quot;.equals(templateAimId)">
                and template_aim_id = #{templateAimId}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{searchKey},'%')
                    OR type LIKE concat('%',#{searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{searchKey},'%')
                    OR ar_content_group_id LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_x LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_y LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_z LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_scale LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_angle LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_show_lenth LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_x LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_y LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_z LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_scale LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_angle LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_show_lenth LIKE concat('%',#{searchKey},'%')
                    OR vuforia_image_info_area_marking LIKE concat('%',#{searchKey},'%')
                    OR remark1 LIKE concat('%',#{searchKey},'%')
                    OR remark2 LIKE concat('%',#{searchKey},'%')
                    OR remark3 LIKE concat('%',#{searchKey},'%')
                    OR remark4 LIKE concat('%',#{searchKey},'%')
                    OR remark5 LIKE concat('%',#{searchKey},'%')
                    OR remark6 LIKE concat('%',#{searchKey},'%')
                    OR pos_x LIKE concat('%',#{searchKey},'%')
                    OR pos_y LIKE concat('%',#{searchKey},'%')
                    OR pos_z LIKE concat('%',#{searchKey},'%')
                    OR remark7 LIKE concat('%',#{searchKey},'%')
                    OR remark8 LIKE concat('%',#{searchKey},'%')
                    OR remark9 LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR alone_flag LIKE concat('%',#{searchKey},'%')
                    OR auto_play LIKE concat('%',#{searchKey},'%')
                    OR auto_display LIKE concat('%',#{searchKey},'%')
                    OR show_level LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR area_id LIKE concat('%',#{searchKey},'%')
                    OR thing_id LIKE concat('%',#{searchKey},'%')
                    OR aim_group_id LIKE concat('%',#{searchKey},'%')
                    OR template_aim_id LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAllAimPlaceInfoAllInfo" parameterType="java.util.Map" resultMap="AllInfoResultMap">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="arContentGroupId != null and !&quot;&quot;.equals(arContentGroupId)">
                and ar_content_group_id = #{arContentGroupId}
            </if>
            <if test="arKitPosX != null and !&quot;&quot;.equals(arKitPosX)">
                and ar_kit_pos_x = #{arKitPosX}
            </if>
            <if test="arKitPosY != null and !&quot;&quot;.equals(arKitPosY)">
                and ar_kit_pos_y = #{arKitPosY}
            </if>
            <if test="arKitPosZ != null and !&quot;&quot;.equals(arKitPosZ)">
                and ar_kit_pos_z = #{arKitPosZ}
            </if>
            <if test="arKitScale != null and !&quot;&quot;.equals(arKitScale)">
                and ar_kit_scale = #{arKitScale}
            </if>
            <if test="arKitAngle != null and !&quot;&quot;.equals(arKitAngle)">
                and ar_kit_angle = #{arKitAngle}
            </if>
            <if test="arKitShowLenth != null and !&quot;&quot;.equals(arKitShowLenth)">
                and ar_kit_show_lenth = #{arKitShowLenth}
            </if>
            <if test="gyroPosX != null and !&quot;&quot;.equals(gyroPosX)">
                and gyro_pos_x = #{gyroPosX}
            </if>
            <if test="gyroPosY != null and !&quot;&quot;.equals(gyroPosY)">
                and gyro_pos_y = #{gyroPosY}
            </if>
            <if test="gyroPosZ != null and !&quot;&quot;.equals(gyroPosZ)">
                and gyro_pos_z = #{gyroPosZ}
            </if>
            <if test="gyroPosScale != null and !&quot;&quot;.equals(gyroPosScale)">
                and gyro_pos_scale = #{gyroPosScale}
            </if>
            <if test="gyroPosAngle != null and !&quot;&quot;.equals(gyroPosAngle)">
                and gyro_pos_angle = #{gyroPosAngle}
            </if>
            <if test="gyroPosShowLenth != null and !&quot;&quot;.equals(gyroPosShowLenth)">
                and gyro_pos_show_lenth = #{gyroPosShowLenth}
            </if>
            <if test="vuforiaImageInfoAreaMarking != null and !&quot;&quot;.equals(vuforiaImageInfoAreaMarking)">
                and vuforia_image_info_area_marking = #{vuforiaImageInfoAreaMarking}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
            <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
            <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark7 != null and !&quot;&quot;.equals(remark7)">
                and remark7 = #{remark7}
            </if>
            <if test="remark8 != null and !&quot;&quot;.equals(remark8)">
                and remark8 = #{remark8}
            </if>
            <if test="remark9 != null and !&quot;&quot;.equals(remark9)">
                and remark9 = #{remark9}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="aimGroupId != null and !&quot;&quot;.equals(aimGroupId)">
                and aim_group_id = #{aimGroupId}
            </if>
            <if test="templateAimId != null and !&quot;&quot;.equals(templateAimId)">
                and template_aim_id = #{templateAimId}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{searchKey},'%')
                    OR type LIKE concat('%',#{searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{searchKey},'%')
                    OR ar_content_group_id LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_x LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_y LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_pos_z LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_scale LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_angle LIKE concat('%',#{searchKey},'%')
                    OR ar_kit_show_lenth LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_x LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_y LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_z LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_scale LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_angle LIKE concat('%',#{searchKey},'%')
                    OR gyro_pos_show_lenth LIKE concat('%',#{searchKey},'%')
                    OR vuforia_image_info_area_marking LIKE concat('%',#{searchKey},'%')
                    OR remark1 LIKE concat('%',#{searchKey},'%')
                    OR remark2 LIKE concat('%',#{searchKey},'%')
                    OR remark3 LIKE concat('%',#{searchKey},'%')
                    OR remark4 LIKE concat('%',#{searchKey},'%')
                    OR remark5 LIKE concat('%',#{searchKey},'%')
                    OR remark6 LIKE concat('%',#{searchKey},'%')
                    OR pos_x LIKE concat('%',#{searchKey},'%')
                    OR pos_y LIKE concat('%',#{searchKey},'%')
                    OR pos_z LIKE concat('%',#{searchKey},'%')
                    OR remark7 LIKE concat('%',#{searchKey},'%')
                    OR remark8 LIKE concat('%',#{searchKey},'%')
                    OR remark9 LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR alone_flag LIKE concat('%',#{searchKey},'%')
                    OR auto_play LIKE concat('%',#{searchKey},'%')
                    OR auto_display LIKE concat('%',#{searchKey},'%')
                    OR show_level LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR area_id LIKE concat('%',#{searchKey},'%')
                    OR thing_id LIKE concat('%',#{searchKey},'%')
                    OR aim_group_id LIKE concat('%',#{searchKey},'%')
                    OR template_aim_id LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAimPlaceInfo" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlaceInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="arContentGroupId != null and !&quot;&quot;.equals(arContentGroupId)">
                and ar_content_group_id = #{arContentGroupId}
            </if>
            <if test="arKitPosX != null and !&quot;&quot;.equals(arKitPosX)">
                and ar_kit_pos_x = #{arKitPosX}
            </if>
            <if test="arKitPosY != null and !&quot;&quot;.equals(arKitPosY)">
                and ar_kit_pos_y = #{arKitPosY}
            </if>
            <if test="arKitPosZ != null and !&quot;&quot;.equals(arKitPosZ)">
                and ar_kit_pos_z = #{arKitPosZ}
            </if>
            <if test="arKitScale != null and !&quot;&quot;.equals(arKitScale)">
                and ar_kit_scale = #{arKitScale}
            </if>
            <if test="arKitAngle != null and !&quot;&quot;.equals(arKitAngle)">
                and ar_kit_angle = #{arKitAngle}
            </if>
            <if test="arKitShowLenth != null and !&quot;&quot;.equals(arKitShowLenth)">
                and ar_kit_show_lenth = #{arKitShowLenth}
            </if>
            <if test="gyroPosX != null and !&quot;&quot;.equals(gyroPosX)">
                and gyro_pos_x = #{gyroPosX}
            </if>
            <if test="gyroPosY != null and !&quot;&quot;.equals(gyroPosY)">
                and gyro_pos_y = #{gyroPosY}
            </if>
            <if test="gyroPosZ != null and !&quot;&quot;.equals(gyroPosZ)">
                and gyro_pos_z = #{gyroPosZ}
            </if>
            <if test="gyroPosScale != null and !&quot;&quot;.equals(gyroPosScale)">
                and gyro_pos_scale = #{gyroPosScale}
            </if>
            <if test="gyroPosAngle != null and !&quot;&quot;.equals(gyroPosAngle)">
                and gyro_pos_angle = #{gyroPosAngle}
            </if>
            <if test="gyroPosShowLenth != null and !&quot;&quot;.equals(gyroPosShowLenth)">
                and gyro_pos_show_lenth = #{gyroPosShowLenth}
            </if>
            <if test="vuforiaImageInfoAreaMarking != null and !&quot;&quot;.equals(vuforiaImageInfoAreaMarking)">
                and vuforia_image_info_area_marking = #{vuforiaImageInfoAreaMarking}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="remark4 != null and !&quot;&quot;.equals(remark4)">
                and remark4 = #{remark4}
            </if>
            <if test="remark5 != null and !&quot;&quot;.equals(remark5)">
                and remark5 = #{remark5}
            </if>
            <if test="remark6 != null and !&quot;&quot;.equals(remark6)">
                and remark6 = #{remark6}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark7 != null and !&quot;&quot;.equals(remark7)">
                and remark7 = #{remark7}
            </if>
            <if test="remark8 != null and !&quot;&quot;.equals(remark8)">
                and remark8 = #{remark8}
            </if>
            <if test="remark9 != null and !&quot;&quot;.equals(remark9)">
                and remark9 = #{remark9}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="iconRank != null and !&quot;&quot;.equals(iconRank)">
                and icon_rank = #{iconRank}
            </if>
            <if test="aloneFlag != null and !&quot;&quot;.equals(aloneFlag)">
                and alone_flag = #{aloneFlag}
            </if>
            <if test="autoPlay != null and !&quot;&quot;.equals(autoPlay)">
                and auto_play = #{autoPlay}
            </if>
            <if test="autoDisplay != null and !&quot;&quot;.equals(autoDisplay)">
                and auto_display = #{autoDisplay}
            </if>
            <if test="showLevel != null and !&quot;&quot;.equals(showLevel)">
                and show_level = #{showLevel}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="aimGroupId != null and !&quot;&quot;.equals(aimGroupId)">
                and aim_group_id = #{aimGroupId}
            </if>
            <if test="templateAimId != null and !&quot;&quot;.equals(templateAimId)">
                and template_aim_id = #{templateAimId}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE aim_place_info SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.AimPlaceInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_place_info
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>


    <resultMap id="AllInfoResultMap" type="com.izouma.awesomeadmin.model.AimPlaceInfo" extends="BaseResultMap">


        <collection property="arContentList" ofType="com.izouma.awesomeadmin.model.ArContent"
                    select="com.izouma.awesomeadmin.dao.ArContentMapper.queryAllArContent"
                    column="{aimPlaceId = id}">
        </collection>

    </resultMap>
</mapper>

